summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2016-04-10 22:51:55 +0100
committerJames Le Cuirot <chewi@gentoo.org>2016-04-10 23:05:00 +0100
commit09df6195352995d2cf9fe45df3212974e0993e0d (patch)
tree849d98e758586822421e781c495eeee57e2e725c
parentdev-python/botocore: remove version 1.4.5 (diff)
downloadgentoo-09df6195352995d2cf9fe45df3212974e0993e0d.tar.gz
gentoo-09df6195352995d2cf9fe45df3212974e0993e0d.tar.bz2
gentoo-09df6195352995d2cf9fe45df3212974e0993e0d.zip
dev-java/icedtea: Version bump to 3.0.0 final for Java 8
Package-Manager: portage-2.2.28
-rw-r--r--dev-java/icedtea/Manifest10
-rw-r--r--dev-java/icedtea/files/8-ccache.patch11
-rw-r--r--dev-java/icedtea/icedtea-3.0.0.ebuild383
3 files changed, 404 insertions, 0 deletions
diff --git a/dev-java/icedtea/Manifest b/dev-java/icedtea/Manifest
index 0bd0d6058bd..1a1a700fe67 100644
--- a/dev-java/icedtea/Manifest
+++ b/dev-java/icedtea/Manifest
@@ -6,8 +6,18 @@ DIST icedtea-2.6-jdk-e727fe32654c.tar.bz2 32423186 SHA256 cd3810553b1066c21f2fe0
DIST icedtea-2.6-langtools-f6593c32cc46.tar.bz2 1707644 SHA256 6c6c676c60af61638a0c3176f0312fcc0abad16d1d3cdbe11aeefcc3357a78d9 SHA512 d469a26381d5163998c85f9afa33facd1d46650b7097cdeb190d4b50b087abea5fb3b4caf8a72e228e5c7d012dc1e2c44c0bca6d4363be354f2923f48127aa8e WHIRLPOOL 940591f4601f00eb3ba5422a7687e148a4acb61ece99e29daa0eff145f4897750b9780af5cceb21aa1a1a951d4ce6dc84427bb76bbb42a23acab5e977cca501c
DIST icedtea-2.6-openjdk-8e728c41fec5.tar.bz2 130030 SHA256 c66f56a91a6fa9e3c889bbbc5432a4e082b7d3735188fb508fa7ec70c142abdb SHA512 10626285c0dda1fa9ba3b843cc70d61c1d417dd87e5def60d8df6d19b4ce40d2b0b0e007b6a52b4468b5a152aa50f9efc6a45dfe6f31cfbf2d47897bee3ca13f WHIRLPOOL 8f4f5e5c4e75a0d9aae89872482925a37b80a7e85d74a8d6968c28fa3dd488176ddeff9c62f81b90a4e994ac2c04d6704b6a2eba4cf734783ff106af8942ce25
DIST icedtea-2.6.5.tar.xz 2072216 SHA256 e752304496bb11ae9952beb11e6743dd84e55b340eaca716f310c5a0f48b53f7 SHA512 8b6dd1fcec8ceaa0525872123ab9327093c5df35b322569942909a0a61e0bd4225984e2f17f30bd392b829368379cbd3efc8b14ce09a442b9d13eaa78d749d5a WHIRLPOOL 8bd4512ddbeceeda7515a4e74555243582a8201eb800f7a357cb67e9744f30d030fbadd571e4130a18d9c43cbb4f25227e453e95976ae83118e0a79f4f6f2b39
+DIST icedtea-3.0-corba-37af47894175.tar.xz 936876 SHA256 d77480d5d0c9620562a66b01fda9be4de58c2881cec680b4f2682ef09087b3cc SHA512 21b2f069f1eaca62a46518173de3c1368963db489f436d5ad705c7cb36ecc259d342c059c4c593427e96604164f78be761e1fe4118d8517ece3630280524ad30 WHIRLPOOL ac7292f0a32cfa7b58d3616b704bfd90ead49044bb51fccc1ca87900555d15f28b3d3137512fe007b40f0a130d3e6eb9d805112725914b0f0721ac8dbad8794c
+DIST icedtea-3.0-hotspot-5e587a29a6aa.tar.xz 6766584 SHA256 76717fa6a84fde60075c19fbc261709bd9c3b849952c817c0ac6b46b757ac0d7 SHA512 c8a2355ef81ad1dd4a2f6be0e5cdaba9d6d66a4fd5514718cc09ed391bcce269a17a34fbc89d7c6d3e7a2632f2ffcb0028a8faaf41649055a096407a24cacd0e WHIRLPOOL 4e83ea5ee631ca76e7919a944f9f1a3a007ca951a99552ee087bd6d2d6e027c5ce9963ec3c593c8132a984dd9818fc42abfb0792b3628d44491488700b20ec09
+DIST icedtea-3.0-jaxp-4ed5441e40e1.tar.xz 2296120 SHA256 4ccce5442642561cda78116a019f5c0ea690725a374ccf5695b3af00393d26e8 SHA512 47e968f674176f74706ab268098a1635a54de7282993abc46a1c72c8d24f21216ed898bbca830623f5afd11912a744138547d6d22a82f68fa1ba15ccc7a9e375 WHIRLPOOL e94f961336d1e8b176ab2486ae98852049f930af3ee31dd3f7491544244c78d6b5657334fb45b9cc863bb6c377a6b1ab5d71df1257d02bc9e79513cd41ecc2ce
+DIST icedtea-3.0-jaxws-a81c04154cc5.tar.xz 2266356 SHA256 ef550609aaa526084256a7fdf6c326015641d6d8c80540c830c0c62302a2f076 SHA512 53ef8dfb1fa0602bfbbb75ca1f8a80af6c09029f22e69625680ce55aa04b820bdfc042d57e5edafbf25ea4f43c32fb988bad9e19b78676cb937af9062ec28ca2 WHIRLPOOL d76bae6c0b1540fe28dbbb5d516fea2c09facb29fd605df38429273e8358de6d0ca1f685098aa3c334a4ca9eeff66ff9759ba704697786a230315d236e01cca1
+DIST icedtea-3.0-jdk-3334efeacd83.tar.xz 38245460 SHA256 fa74b8aaa389495a685f3a28151a1957ff8ff88a4d4792059c5c1fb7c12eb1cd SHA512 92106e36d9dd522c355eec877709862b7e1ae18790a0965fa7fc74c1cd2b4aea145b630e37fa953e9cfd0feaadcba0117675bbb8e2c5705379078e16ac53a37e WHIRLPOOL 86cd77313b1fc50d6ff96de3e41d2d9c53627971ba475120d1724a1a690876e3383be6633baf074e14d95f0c0c16727f4bda5465ee66423dba1c8cc6533ab800
+DIST icedtea-3.0-langtools-dd581e8047e6.tar.xz 2055716 SHA256 e0e0e6a7cf8575506579306f76cca872b01a3f08a4880fb9b316444fb206ea86 SHA512 da64e53d360f591af599105cb244898f5092c3613f12f013244f9180b27629efcc0d5abbf2cf3043fd8c80edccfb9ad34dff854f36e539d24d206f6908c4f908 WHIRLPOOL f96b5afc4744f0cab3efdbb460da1c82bd2d8a370b59891ca3d0d351ecaf772c8c8414f92267be52f816d7d227d3dc175db2058fb6c9b7a7113b634fa47038e0
+DIST icedtea-3.0-nashorn-697c5f792bec.tar.xz 2220600 SHA256 b4c59d8269511f2073498518e599ec91dff11c57cadc0b97fa88af81835122c0 SHA512 e719c91ede0db0a5a0c97ff8ee165fadfecab053a48116d48974e24af06559540d2924b0d582fa4d4d5e4971ebc5929aa70b775f0fc6991c8311ca78d7860cd2 WHIRLPOOL e29ab3b81d095034e90c2996802f2c4ce1b338be817cf81ffddb084eedf52638e2b011b379534a9856303d3c3b722ef699d61d25a18f8e7910442c3139e01265
+DIST icedtea-3.0-openjdk-8ed8d26a3f9a.tar.xz 330164 SHA256 5b032673d74c4e2529427b9570b177285dc9a6430d016ef2e072dd2167669031 SHA512 9b0c6952e66708810cbdcd4f0a093f8d6f954c5cf1d098b6d70eced8908689fc0716fbb76ea6344c4a01127177fb078b31706551289aa7bd80fb649efe4d9018 WHIRLPOOL 361e0f9d3653a5718b3a2a1609c5b73adcee89c22f81e1c108c39499b5e755be639241a1de2946622731255ccbb8d00b097f77176fd31e7b9cfebfdcf94e1feb
+DIST icedtea-3.0.0.tar.xz 1402156 SHA256 947add69b3b89d7685cb0c9e2b51fc561e27f6e7c0bf1ea98dac8156fa8629a9 SHA512 80bece0c0dbe4c0eaf8716abd0018ae71fc62dd9a3698eeca37383af51884cac5b1185f226003e396b4b5691beca478b5419755795f906962e9f66674294ae9b WHIRLPOOL 4811b4041f96e2debc1f8760eb1c9c318f3c40b36ee45042788c99b74c9886c46a9859fe23eb369f531c596252a89e80b32b71b364e13bd1478c04e66911e824
DIST icedtea-cacao-68fe50ac34ec.tar.gz 4263528 SHA256 b8230f20d7022f9230bbfea13b2f3f179b2f42db40138ac6d32c82fc418ffc3a SHA512 bfa719e5c0212435bbc0e3abc7c69d84b52b17edc1571df94f13e4183889da07c82bb332745724cfa4944e18034c71fd9383e3c4515a69dbfa1369ba9318231f WHIRLPOOL 539c0fed1057723212b209d4341ece9c6b2786b1c216789ebdb8d22b4339daf26425883bbc2f08ea754252c28259f02bc829a42ec05d6838162232066f0ec0a3
DIST icedtea-cacao-c182f119eaad.tar.gz 4485353 SHA256 eade43f6c5da8b3b5a64e6b206b624eaca88539f80101d7164d6aa426eb590b1 SHA512 2ccb947d71b80d84b83295d473c19952e98698a1fd944fc7c12004ff1af29af2989d46fbd95b5daf95eae2fda9de7c7f88f964fa887a6345b4f57d0c490bee23 WHIRLPOOL 8da9aff897bb7119d99ca825e70b4e79663f04d86a58c23cbf50b2bf56e96d833cc09d18380e510671c0ea65a3e19ae4cd1470741fc3b2c6cd6bcd1b9b9323b4
+DIST icedtea-cacao-c182f119eaad.tar.xz 3056520 SHA256 bf48f6b725a4dc0c936f6770a67ab4074c3bb35352d5de727368350d32549808 SHA512 22e8a031db5f93f82b276b310c175f1e926e48d64e1e50bebe51138e0f66391cd005501491a959d31663f338f27a29ec984ac29f77078f59472856e4d08edef7 WHIRLPOOL ad72950f37af738b6a6b472b8410a8c8ba52c53d6243976ba983f1802e082c7778d831db202468b7ec5e036dbea1513af6345c666c68b52bae2a95941567cdf0
DIST icedtea-jamvm-ec18fb9e49e62dce16c5094ef1527eed619463aa.tar.gz 317187 SHA256 31810266666c23822942aac62a78019c2c4589e1c5ee48329cbf42652d4437bc SHA512 a31348481e1c02747f5bb9db333f855c45a1555aa187ee35de5ef553a10a8a47dfcc1beb1e69502046c1758438b91958a328e0a0015812c153221f67734a70a6 WHIRLPOOL 2d629f581a257d51b814aa771173c952445f502e5bd6e21ae7e748e1683fc7820d13f9fd9bf6cacbffeed2097e74628107778f223d617bba71c33f4b124e44c4
DIST icedtea6-1.13.9.tar.xz 4573884 SHA256 61e0fb2ed0fc2d793a42e24d2192423f8a7ccb04f130d82d5889a0ecf52bc965 SHA512 b1a6e7d36904e3a9cea620c86dc656324bc99622d470f021f86a66c77919d8faf774d199f42669f9813f1ca4c41f2a920a66f9927d33eeca5476edd26438822a WHIRLPOOL 32586b8563cb7c9246bfb1731d409a03d0367b653dff866f9a3e8b4deb1f09d6405e8e103a94681fe3e80ba4dd042782a2defec409f0b020c1d3c263bf3feec1
DIST openjdk-6-src-b37-11_nov_2015.tar.xz 33790124 SHA256 462ac2c28f6dbfb4a18eb46efca232b907d6027f7618715cbc4de5dd73b89e8d SHA512 e7da587e5cb5a99d3a92bc64ae1bc668bd470cd5664f097197d87af07aa32414903c1b212693449e471b933ed6b1bc7e754fb56ccd7af23038d766dbfdf8eba8 WHIRLPOOL 685fd308007bc236b2c461c09186f910ef5c829a3f557fad5b37902d0550b66d7be82502a66209c99430639d875356f5249fa5047f46468983d164aa156aed17
diff --git a/dev-java/icedtea/files/8-ccache.patch b/dev-java/icedtea/files/8-ccache.patch
new file mode 100644
index 00000000000..c846dbae862
--- /dev/null
+++ b/dev-java/icedtea/files/8-ccache.patch
@@ -0,0 +1,11 @@
+--- openjdk/common/autoconf/generated-configure.sh.orig 2016-04-01 04:32:19.000000000 +0100
++++ openjdk/common/autoconf/generated-configure.sh 2016-04-10 20:04:53.472885447 +0100
+@@ -35764,7 +35764,7 @@
+ # precompiled headers.
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking if ccache supports precompiled headers" >&5
+ $as_echo_n "checking if ccache supports precompiled headers... " >&6; }
+- HAS_GOOD_CCACHE=`($CCACHE --version | head -n 1 | grep -E 3.1.[456789]) 2> /dev/null`
++ HAS_GOOD_CCACHE=`($CCACHE --version | head -n 1 | grep -E "3\.(1\.[456789]|[2-9])") 2> /dev/null`
+ if test "x$HAS_GOOD_CCACHE" = x; then
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: no, disabling ccache" >&5
+ $as_echo "no, disabling ccache" >&6; }
diff --git a/dev-java/icedtea/icedtea-3.0.0.ebuild b/dev-java/icedtea/icedtea-3.0.0.ebuild
new file mode 100644
index 00000000000..f0267be3f06
--- /dev/null
+++ b/dev-java/icedtea/icedtea-3.0.0.ebuild
@@ -0,0 +1,383 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+# Build written by Andrew John Hughes (gnu_andrew@member.fsf.org)
+
+EAPI="5"
+SLOT="8"
+
+inherit check-reqs gnome2-utils java-pkg-2 java-vm-2 multiprocessing pax-utils prefix versionator virtualx
+
+ICEDTEA_VER=$(get_version_component_range 1-3)
+ICEDTEA_BRANCH=$(get_version_component_range 1-2)
+ICEDTEA_PKG=icedtea-${ICEDTEA_VER}
+ICEDTEA_PRE=$(get_version_component_range _)
+CORBA_TARBALL="37af47894175.tar.xz"
+JAXP_TARBALL="4ed5441e40e1.tar.xz"
+JAXWS_TARBALL="a81c04154cc5.tar.xz"
+JDK_TARBALL="3334efeacd83.tar.xz"
+LANGTOOLS_TARBALL="dd581e8047e6.tar.xz"
+OPENJDK_TARBALL="8ed8d26a3f9a.tar.xz"
+NASHORN_TARBALL="697c5f792bec.tar.xz"
+HOTSPOT_TARBALL="5e587a29a6aa.tar.xz"
+
+CACAO_TARBALL="cacao-c182f119eaad.tar.xz"
+JAMVM_TARBALL="jamvm-ec18fb9e49e62dce16c5094ef1527eed619463aa.tar.gz"
+
+CORBA_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-corba-${CORBA_TARBALL}"
+JAXP_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-jaxp-${JAXP_TARBALL}"
+JAXWS_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-jaxws-${JAXWS_TARBALL}"
+JDK_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-jdk-${JDK_TARBALL}"
+LANGTOOLS_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-langtools-${LANGTOOLS_TARBALL}"
+OPENJDK_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-openjdk-${OPENJDK_TARBALL}"
+NASHORN_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-nashorn-${NASHORN_TARBALL}"
+HOTSPOT_GENTOO_TARBALL="icedtea-${ICEDTEA_BRANCH}-hotspot-${HOTSPOT_TARBALL}"
+
+CACAO_GENTOO_TARBALL="icedtea-${CACAO_TARBALL}"
+JAMVM_GENTOO_TARBALL="icedtea-${JAMVM_TARBALL}"
+
+DROP_URL="http://icedtea.classpath.org/download/drops"
+ICEDTEA_URL="${DROP_URL}/icedtea${SLOT}/${ICEDTEA_VER}"
+
+DESCRIPTION="A harness to build OpenJDK using Free Software build tools and dependencies"
+HOMEPAGE="http://icedtea.classpath.org"
+SRC_PKG="${ICEDTEA_PKG}.tar.xz"
+SRC_URI="
+ http://icedtea.classpath.org/download/source/${SRC_PKG}
+ ${ICEDTEA_URL}/openjdk.tar.xz -> ${OPENJDK_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/corba.tar.xz -> ${CORBA_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/jaxp.tar.xz -> ${JAXP_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/jaxws.tar.xz -> ${JAXWS_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/jdk.tar.xz -> ${JDK_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/hotspot.tar.xz -> ${HOTSPOT_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/nashorn.tar.xz -> ${NASHORN_GENTOO_TARBALL}
+ ${ICEDTEA_URL}/langtools.tar.xz -> ${LANGTOOLS_GENTOO_TARBALL}
+ ${DROP_URL}/cacao/${CACAO_TARBALL} -> ${CACAO_GENTOO_TARBALL}
+ ${DROP_URL}/jamvm/${JAMVM_TARBALL} -> ${JAMVM_GENTOO_TARBALL}"
+
+LICENSE="Apache-1.1 Apache-2.0 GPL-1 GPL-2 GPL-2-with-linking-exception LGPL-2 MPL-1.0 MPL-1.1 public-domain W3C"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+
+IUSE="+alsa cacao cjk +cups debug doc examples +gtk headless-awt
+ jamvm +jbootstrap libressl nsplugin pax_kernel
+ pulseaudio sctp selinux smartcard +source +sunec test +webstart zero"
+
+REQUIRED_USE="gtk? ( !headless-awt )"
+
+# Ideally the following were optional at build time.
+ALSA_COMMON_DEP="
+ >=media-libs/alsa-lib-1.0"
+CUPS_COMMON_DEP="
+ >=net-print/cups-1.2.12"
+X_COMMON_DEP="
+ >=media-libs/giflib-4.1.6:=
+ >=media-libs/libpng-1.2:0=
+ >=x11-libs/libX11-1.1.3
+ >=x11-libs/libXext-1.1.1
+ >=x11-libs/libXi-1.1.3
+ >=x11-libs/libXrender-0.9.4
+ >=x11-libs/libXtst-1.0.3
+ x11-libs/libXcomposite"
+X_DEPEND="
+ >=x11-libs/libXau-1.0.3
+ >=x11-libs/libXdmcp-1.0.2
+ >=x11-libs/libXinerama-1.0.2
+ x11-proto/inputproto
+ >=x11-proto/xextproto-7.1.1
+ x11-proto/xineramaproto
+ x11-proto/xproto"
+
+# The Javascript requirement is obsolete; OpenJDK 8+ has Nashorn
+# Kerberos will be added following PR1537
+COMMON_DEP="
+ >=dev-libs/glib-2.26:2
+ >=dev-util/systemtap-1
+ media-libs/fontconfig
+ >=media-libs/freetype-2.5.3:2=
+ >=media-libs/lcms-2.5
+ >=sys-libs/zlib-1.2.3:=
+ virtual/jpeg:0=
+ sctp? ( net-misc/lksctp-tools )
+ smartcard? ( sys-apps/pcsc-lite )
+ sunec? ( >=dev-libs/nss-3.16.1-r1 )"
+
+# Gtk+ will move to COMMON_DEP in time; PR1982
+# gsettings-desktop-schemas will be needed for native proxy support; PR1976
+RDEPEND="${COMMON_DEP}
+ !dev-java/icedtea:0
+ !dev-java/icedtea-web:7
+ media-fonts/dejavu
+ alsa? ( ${ALSA_COMMON_DEP} )
+ cjk? (
+ media-fonts/arphicfonts
+ media-fonts/baekmuk-fonts
+ media-fonts/lklug
+ media-fonts/lohit-fonts
+ media-fonts/sazanami
+ )
+ cups? ( ${CUPS_COMMON_DEP} )
+ gtk? (
+ >=dev-libs/atk-1.30.0
+ >=x11-libs/cairo-1.8.8:=
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/gtk+-2.8:2=
+ >=x11-libs/pango-1.24.5
+ )
+ !headless-awt? ( ${X_COMMON_DEP} )
+ selinux? ( sec-policy/selinux-java )"
+
+# ca-certificates, perl and openssl are used for the cacerts keystore generation
+# perl is needed for running the SystemTap tests
+# lsb-release is used to obtain distro information for the version & crash dump output
+# attr is needed for xattr.h which defines the extended attribute syscalls used by NIO2
+# x11-libs/libXt is needed for headers only (Intrinsic.h, IntrinsicP.h, Shell.h, StringDefs.h)
+# Ant is no longer needed under the new build system
+DEPEND="${COMMON_DEP} ${ALSA_COMMON_DEP} ${CUPS_COMMON_DEP} ${X_COMMON_DEP} ${X_DEPEND}
+ || (
+ dev-java/icedtea-bin:8
+ dev-java/icedtea-bin:7
+ dev-java/icedtea:8
+ dev-java/icedtea:7
+ )
+ app-arch/cpio
+ app-arch/unzip
+ app-arch/zip
+ app-misc/ca-certificates
+ dev-lang/perl
+ !libressl? ( dev-libs/openssl )
+ libressl? ( dev-libs/libressl )
+ sys-apps/attr
+ sys-apps/lsb-release
+ x11-libs/libXt
+ virtual/pkgconfig
+ pax_kernel? ( sys-apps/elfix )"
+
+PDEPEND="webstart? ( >=dev-java/icedtea-web-1.6.1:0 )
+ nsplugin? ( >=dev-java/icedtea-web-1.6.1:0[nsplugin] )
+ pulseaudio? ( dev-java/icedtea-sound )"
+
+S="${WORKDIR}"/${ICEDTEA_PKG}
+
+icedtea_check_requirements() {
+ local CHECKREQS_DISK_BUILD
+
+ if use doc; then
+ CHECKREQS_DISK_BUILD="9000M"
+ else
+ CHECKREQS_DISK_BUILD="8500M"
+ fi
+
+ check-reqs_pkg_${EBUILD_PHASE}
+}
+
+pkg_pretend() {
+ icedtea_check_requirements
+}
+
+pkg_setup() {
+ icedtea_check_requirements
+
+ JAVA_PKG_WANT_BUILD_VM="
+ icedtea-8 icedtea-bin-8
+ icedtea-7 icedtea-bin-7"
+ JAVA_PKG_WANT_SOURCE="1.5"
+ JAVA_PKG_WANT_TARGET="1.5"
+
+ java-vm-2_pkg_setup
+ java-pkg-2_pkg_setup
+}
+
+src_unpack() {
+ unpack ${SRC_PKG}
+}
+
+java_prepare() {
+ # For bootstrap builds as the sandbox control file might not yet exist.
+ addpredict /proc/self/coredump_filter
+
+ # icedtea doesn't like some locales. #330433 #389717
+ export LANG="C" LC_ALL="C"
+}
+
+src_configure() {
+ local cacao_config config hotspot_port jamvm_config use_cacao use_jamvm use_zero zero_config
+ local vm=$(java-pkg_get-current-vm)
+
+ # gcj-jdk ensures ecj is present.
+ if use jbootstrap || has "${vm}" gcj-jdk; then
+ use jbootstrap || einfo "bootstrap is necessary when building with ${vm}, ignoring USE=\"-jbootstrap\""
+ config+=" --enable-bootstrap"
+ else
+ config+=" --disable-bootstrap"
+ fi
+
+ # Use Zero if requested
+ if use zero; then
+ use_zero="yes"
+ fi
+
+ # Use JamVM if requested
+ if use jamvm; then
+ use_jamvm="yes"
+ fi
+
+ # Use CACAO if requested
+ if use cacao; then
+ use_cacao="yes"
+ fi
+
+ # Are we on a architecture with a HotSpot port?
+ # In-tree JIT ports are available for amd64, arm, arm64, ppc64 (be&le), SPARC and x86.
+ if { use amd64 || use arm64 || use ppc64 || use sparc || use x86; }; then
+ hotspot_port="yes"
+ fi
+
+ # Always use HotSpot as the primary VM if available. #389521 #368669 #357633 ...
+ # Otherwise use Zero for now until alternate VMs are working
+ if test "x${hotspot_port}" != "xyes"; then
+ use_zero="yes"
+ fi
+
+ # Turn on JamVM if needed (non-HS archs) or requested
+ if test "x${use_jamvm}" = "xyes"; then
+ if test "x${hotspot_port}" = "xyes"; then
+ ewarn 'Enabling JamVM on an architecture with HotSpot support; issues may result.'
+ ewarn 'If so, please rebuild with USE="-jamvm"'
+ fi
+ ewarn 'JamVM is known to still have issues with IcedTea 3.x; please rebuild with USE="-jamvm"'
+ jamvm_config="--enable-jamvm"
+ fi
+
+ # Turn on CACAO if needed (non-HS archs) or requested
+ if test "x${use_cacao}" = "xyes"; then
+ if test "x${hotspot_port}" = "xyes"; then
+ ewarn 'Enabling CACAO on an architecture with HotSpot support; issues may result.'
+ ewarn 'If so, please rebuild with USE="-cacao"'
+ fi
+ ewarn 'CACAO is known to still have issues with IcedTea 3.x; please rebuild with USE="-cacao"'
+ cacao_config="--enable-cacao"
+ fi
+
+ # Turn on Zero if needed (non-HS/CACAO archs) or requested
+ if test "x${use_zero}" = "xyes"; then
+ if test "x${hotspot_port}" = "xyes"; then
+ ewarn 'Enabling Zero on an architecture with HotSpot support; performance will be significantly reduced.'
+ fi
+ zero_config="--enable-zero"
+ fi
+
+ # https://bugs.openjdk.java.net/browse/JDK-8067132
+ export DISTRIBUTION_PATCHES="${SLOT}-ccache.patch"
+ ln -snf "${FILESDIR}"/${SLOT}-ccache.patch . || die
+
+ # IcedTea itself doesn't handle ccache yet.
+ if has ccache ${FEATURES}; then
+ ewarn 'ccache has been known to break IcedTea. Disable it before filing bugs.'
+ export enable_ccache=yes
+ else
+ export enable_ccache=no
+ fi
+
+ config+=" --with-parallel-jobs=$(makeopts_jobs)"
+
+ unset JAVA_HOME JDK_HOME CLASSPATH JAVAC JAVACFLAGS
+
+ econf ${config} \
+ --with-openjdk-src-zip="${DISTDIR}/${OPENJDK_GENTOO_TARBALL}" \
+ --with-corba-src-zip="${DISTDIR}/${CORBA_GENTOO_TARBALL}" \
+ --with-jaxp-src-zip="${DISTDIR}/${JAXP_GENTOO_TARBALL}" \
+ --with-jaxws-src-zip="${DISTDIR}/${JAXWS_GENTOO_TARBALL}" \
+ --with-jdk-src-zip="${DISTDIR}/${JDK_GENTOO_TARBALL}" \
+ --with-hotspot-src-zip="${DISTDIR}/${HOTSPOT_GENTOO_TARBALL}" \
+ --with-langtools-src-zip="${DISTDIR}/${LANGTOOLS_GENTOO_TARBALL}" \
+ --with-nashorn-src-zip="${DISTDIR}/${NASHORN_GENTOO_TARBALL}" \
+ --with-cacao-src-zip="${DISTDIR}/${CACAO_GENTOO_TARBALL}" \
+ --with-jamvm-src-zip="${DISTDIR}/${JAMVM_GENTOO_TARBALL}" \
+ --with-jdk-home="$(java-config -O)" \
+ --prefix="${EPREFIX}/usr/$(get_libdir)/icedtea${SLOT}" \
+ --mandir="${EPREFIX}/usr/$(get_libdir)/icedtea${SLOT}/man" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+ --htmldir="${EPREFIX}/usr/share/doc/${PF}/html" \
+ --with-pkgversion="Gentoo ${PF}" \
+ --disable-downloading --disable-Werror --disable-tests \
+ --enable-system-lcms --enable-system-jpeg \
+ --enable-system-zlib --disable-systemtap-tests \
+ $(use_enable !headless-awt system-gif) \
+ $(use_enable !headless-awt system-png) \
+ $(use_enable !debug optimizations) \
+ $(use_enable doc docs) \
+ $(use_with pax_kernel pax "${EPREFIX}/usr/sbin/paxmark.sh") \
+ $(use_enable sunec) \
+ ${zero_config} ${cacao_config} ${jamvm_config}
+}
+
+src_compile() {
+ # OpenJDK is quite picky about ccache and dies if you attempt to use
+ # it via wrapper symlinks like Gentoo normally does.
+ PATH=$(sed 's#[^:]*/ccache/bin:##g' <<< "${PATH}") emake
+}
+
+src_test() {
+ # Use Xvfb for tests
+ unset DISPLAY
+
+ Xemake check
+}
+
+src_install() {
+ default
+
+ local dest="/usr/$(get_libdir)/icedtea${SLOT}"
+ local ddest="${ED}${dest#/}"
+
+ if ! use alsa; then
+ rm -v "${ddest}"/jre/lib/$(get_system_arch)/libjsoundalsa.* || die
+ fi
+
+ # Ensures Headless-AwtGraphicsEnvironment is used.
+ # Hack; we should get IcedTea to support passing --disable-headful
+ if use headless-awt; then
+ rm -vr "${ddest}"/jre/lib/$(get_system_arch)/lib*{[jx]awt,splashscreen}* \
+ "${ddest}"/{,jre/}bin/policytool "${ddest}"/bin/appletviewer || die
+ fi
+
+ if ! use examples; then
+ rm -r "${ddest}"/demo "${ddest}"/sample || die
+ fi
+
+ if ! use source; then
+ rm -v "${ddest}"/src.zip || die
+ fi
+
+ # provided by icedtea-web but we need it in JAVA_HOME to work with run-java-tool
+ if use webstart || use nsplugin; then
+ dosym /usr/libexec/icedtea-web/itweb-settings ${dest}/bin/itweb-settings
+ dosym /usr/libexec/icedtea-web/itweb-settings ${dest}/jre/bin/itweb-settings
+ fi
+ if use webstart; then
+ dosym /usr/libexec/icedtea-web/javaws ${dest}/bin/javaws
+ dosym /usr/libexec/icedtea-web/javaws ${dest}/jre/bin/javaws
+ fi
+ dosym /usr/share/doc/${PF} /usr/share/doc/${PN}${SLOT}
+
+ # Fix the permissions.
+ find "${ddest}" \! -type l \( -perm /111 -exec chmod 755 {} \; -o -exec chmod 644 {} \; \) || die
+
+ # We need to generate keystore - bug #273306
+ einfo "Generating cacerts file from certificates in ${EPREFIX}/usr/share/ca-certificates/"
+ mkdir "${T}/certgen" && cd "${T}/certgen" || die
+ cp "${FILESDIR}/generate-cacerts.pl" . && chmod +x generate-cacerts.pl || die
+ for c in "${EPREFIX}"/usr/share/ca-certificates/*/*.crt; do
+ openssl x509 -text -in "${c}" >> all.crt || die
+ done
+ ./generate-cacerts.pl "${ddest}/bin/keytool" all.crt || die
+ cp -vRP cacerts "${ddest}/jre/lib/security/" || die
+ chmod 644 "${ddest}/jre/lib/security/cacerts" || die
+
+ set_java_env "${FILESDIR}/icedtea.env"
+ java-vm_sandbox-predict /proc/self/coredump_filter
+}
+
+pkg_preinst() { gnome2_icon_savelist; }
+pkg_postinst() { gnome2_icon_cache_update; }
+pkg_postrm() { gnome2_icon_cache_update; }